@echo off

if exist testlib.obj del testlib.obj
\masm32\bin\ml /c /coff testlib.asm
if exist testlib.obj goto linklib
echo Error Assembling Library
goto nolib

:linklib
if exist testlib.lib del testlib.lib
\masm32\bin\link /lib testlib.obj /out:testlib.lib
del testlib.obj
if exist testlib.lib goto asmasm
echo Error Linking Library

:nolib
echo testlib.lib Library Not Built
goto theend

:asmasm
if exist libtest.obj del libtest.obj
\masm32\bin\ml /c /Fl /coff libtest.asm >c:\masm32\bin\asmbl.txt
if errorlevel 1 goto showtxt
if not exist libtest.obj goto showtxt
if exist libtest.exe del libtest.exe
\masm32\bin\link /SUBSYSTEM:CONSOLE /OPT:NOREF libtest.obj >>c:\masm32\bin\asmbl.txt
del libtest.obj

:showtxt
type c:\masm32\bin\asmbl.txt

:theend
dir testlib.*
dir libtest.*
echo.
libtest